<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div
  class="flex items-center gap-1.5 h-full px-8 cursor-pointer border-b-2 hover:bg-whitesmoke text-text-500"
  [ngClass]="{ 'border-primary-500 text-primary-500': active, 'border-transparent': !active }"
  (click)="navigate()"
>
  <ng-template [ngTemplateOutlet]="icon"></ng-template>
  <i [class]="icon" style="font-size: 1rem"></i>
  <div>{{ label }}</div>
</div>
